Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_DynStruct_i Class Reference

`#include <DynStruct_i.h>`

Inheritance diagram for TAO_DynStruct_i

[legend]
Collaboration diagram for TAO_DynStruct_i:

[legend]
List of all members.

## Public Methods
| TAO_DynStruct_i (void)
| ~TAO_DynStruct_i (void)
void | init (CORBA_TypeCode_ptr tc, CORBA::Environment &ACE_TRY_ENV)
void | init (const CORBA_Any& any, CORBA::Environment &ACE_TRY_ENV)
virtual void* | _tao_QueryInterface (ptr_arith_t type)
virtual DynamicAny::FieldName | current_member_name ( CORBA::Environment &ACE_TRY_ENV = TAO_default_environment () ) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )
virtual CORBA::TCKind | current_member_kind ( CORBA::Environment &ACE_TRY_ENV = TAO_default_environment () ) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )
virtual DynamicAny::NameValuePairSeq* | get_members ( CORBA::Environment &ACE_TRY_ENV = TAO_default_environment () ) throw ( CORBA::SystemException )
virtual void | set_members ( const DynamicAny::NameValuePairSeq& value, CORBA::Environment &ACE_TRY_ENV = TAO_default_environment () ) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )
virtual DynamicAny::NameDynAnyPairSeq* | get_members_as_dyn_any ( CORBA::Environment &ACE_TRY_ENV = TAO_default_environment () ) throw ( CORBA::SystemException )
virtual void | set_members_as_dyn_any ( const DynamicAny::NameDynAnyPairSeq & value, CORBA::Environment &ACE_TRY_ENV = TAO_default_environment () ) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )
virtual void | from_any ( const CORBA::Any & value, CORBA::Environment &ACE_TRY_ENV = TAO_default_environment () ) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )
virtual CORBA::Any* | to_any ( CORBA::Environment &ACE_TRY_ENV = TAO_default_environment () ) throw ( CORBA::SystemException )
virtual CORBA::Boolean | equal ( DynamicAny::DynAny_ptr dyn_any, CORBA::Environment &ACE_TRY_ENV = TAO_default_environment () ) throw ( CORBA::SystemException )
virtual void | destroy ( CORBA::Environment &ACE_TRY_ENV = TAO_default_environment () ) throw ( CORBA::SystemException )
virtual DynamicAny::DynAny_ptr | current_component ( CORBA::Environment &ACE_TRY_ENV = TAO_default_environment () ) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch )
## Static Public Methods
TAO_DynStruct_i* | _narrow ( CORBA::Object_ptr obj, CORBA::Environment &ACE_TRY_ENV = TAO_default_environment () )
## Private Methods
void | check_typecode (CORBA::TypeCode_ptr tc, CORBA::Environment &ACE_TRY_ENV)
void | init_common (void)
| TAO_DynStruct_i (const TAO_DynStruct_i &src)
TAO_DynStruct_i& | operator= (const TAO_DynStruct_i &src)
## Private Attributes
ACE_Array_Base<DynamicAny::DynAny_var> | da_members_

## Constructor & Destructor Documentation

const char *get_rcsid_DynamicAny_ TAO_DynStruct_i::TAO_DynStruct_i ( | void )`[inline]`

TAO_DynStruct_i::~TAO_DynStruct_i ( | void )

TAO_DynStruct_i::TAO_DynStruct_i ( | const TAO_DynStruct_i & src )`[private]`

## Member Function Documentation

TAO_DynStruct_i * TAO_DynStruct_i::_narrow ( | CORBA::Object_ptr obj,
| CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () )`[static]`

void * TAO_DynStruct_i::_tao_QueryInterface ( | ptr_arith_t type )`[virtual]`

| Reimplemented from CORBA_Object.

void TAO_DynStruct_i::check_typecode ( | CORBA::TypeCode_ptr tc,
| CORBA::Environment & ACE_TRY_ENV )`[private]`

DynamicAny::DynAny_ptr TAO_DynStruct_i::current_component ( | CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () ) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch )`[virtual]`

CORBA::TCKind TAO_DynStruct_i::current_member_kind ( | CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () ) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )`[virtual]`

DynamicAny::FieldName TAO_DynStruct_i::current_member_name ( | CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () ) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )`[virtual]`

void TAO_DynStruct_i::destroy ( | CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () ) throw ( CORBA::SystemException )`[virtual]`

CORBA::Boolean TAO_DynStruct_i::equal ( | DynamicAny::DynAny_ptr rhs,
| CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () ) throw ( CORBA::SystemException )`[virtual]`

virtual void TAO_DynStruct_i::from_any ( | const CORBA::Any & value,
| CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () ) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )`[virtual]`

DynamicAny::NameValuePairSeq * TAO_DynStruct_i::get_members ( | CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () ) throw ( CORBA::SystemException )`[virtual]`

DynamicAny::NameDynAnyPairSeq * TAO_DynStruct_i::get_members_as_dyn_any ( | CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () ) throw ( CORBA::SystemException )`[virtual]`

void TAO_DynStruct_i::init ( | const CORBA_Any & any,
| CORBA::Environment & ACE_TRY_ENV )

void TAO_DynStruct_i::init ( | CORBA_TypeCode_ptr tc,
| CORBA::Environment & ACE_TRY_ENV )

void TAO_DynStruct_i::init_common ( | void )`[private]`

TAO_DynStruct_i& TAO_DynStruct_i::operator= ( | const TAO_DynStruct_i & src )`[private]`

void TAO_DynStruct_i::set_members ( | const DynamicAny::NameValuePairSeq & values,
| CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () ) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )`[virtual]`

void TAO_DynStruct_i::set_members_as_dyn_any ( | const DynamicAny::NameDynAnyPairSeq & values,
| CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () ) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )`[virtual]`

CORBA::Any_ptr TAO_DynStruct_i::to_any ( | CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () ) throw ( CORBA::SystemException )`[virtual]`

## Member Data Documentation

ACE_Array_Base< DynamicAny::DynAny_var > TAO_DynStruct_i::da_members_`[private]`

The documentation for this class was generated from the following files:

- DynStruct_i.h
- DynStruct_i.cpp